{
  "name": "medium",
  "display_name": "Medium",
  "description": "Consume Medium API",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "mediumApi",
      "required": true
    },
    {
      "name": "mediumOAuth2Api",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "authentication",
      "display_name": "Authentication",
      "kind": "options",
      "required": false,
      "default": "accessToken"
    },
    {
      "name": "resource",
      "display_name": "Resource",
      "kind": "options",
      "required": false,
      "default": "post"
    },
    {
      "name": "operation",
      "display_name": "Operation",
      "kind": "options",
      "required": false,
      "default": "create",
      "description": "Create a post"
    },
    {
      "name": "publication",
      "display_name": "Publication",
      "kind": "boolean",
      "required": false,
      "description": "Whether you are posting for a publication"
    },
    {
      "name": "publicationId",
      "display_name": "Publication Name or ID",
      "kind": "options",
      "required": false,
      "default": "",
      "description": "Publication IDs. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "title",
      "display_name": "Title",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "Title of the post. Max Length : 100 characters."
    },
    {
      "name": "contentFormat",
      "display_name": "Content Format",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "The format of the content to be posted"
    },
    {
      "name": "content",
      "display_name": "Content",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "The body of the post, in a valid semantic HTML fragment, or Markdown"
    },
    {
      "name": "additionalFields",
      "display_name": "Additional Fields",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "The original home of this content, if it was originally published elsewhere"
    },
    {
      "name": "operation",
      "display_name": "Operation",
      "kind": "options",
      "required": false,
      "default": "publication",
      "description": "Get many publications"
    },
    {
      "name": "returnAll",
      "display_name": "Return All",
      "kind": "boolean",
      "required": false,
      "description": "Whether to return all results or only up to a given limit"
    },
    {
      "name": "limit",
      "display_name": "Limit",
      "kind": "number",
      "required": false,
      "description": "Max number of results to return"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/Medium/Medium.node.ts"
}